Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.hql.internal.classic
Class FromParser

    java.lang.Object
      org.hibernate.hql.internal.classic.FromParser

All Implemented Interfaces:
  Parser

    public class FromParser

extends Object
implements Parser

Parses the from clause of a hibernate query, looking for tables and aliases for the SQL query.

Constructor Summary
`FromParser()`

Method Summary
`void` | `end(QueryTranslatorImpl q)`
`void` | `start(QueryTranslatorImpl q)`
`void` | `token(String token, QueryTranslatorImpl q)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FromParser

    public FromParser()

Method Detail

### token

    public void token(String token,
                      QueryTranslatorImpl q)
               throws QueryException

  Specified by:
    `token` in interface `Parser`
  Throws:
    `QueryException`

### start

    public void start(QueryTranslatorImpl q)

  Specified by:
    `start` in interface `Parser`

### end

    public void end(QueryTranslatorImpl q)

  Specified by:
    `end` in interface `Parser`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.